## cong-editor-area-flow-holder-blocks

cong-editor-area-flow-holder-blocks —

## Synopsis

    #define     CONG_EDITOR_AREA_FLOW_HOLDER_BLOCKS(obj)
    #define     CONG_EDITOR_AREA_FLOW_HOLDER_BLOCKS_CLASS(klass)
    #define     IS_CONG_EDITOR_AREA_FLOW_HOLDER_BLOCKS(obj)
    GType       cong_editor_area_flow_holder_blocks_get_type
                                                (void);
    CongEditorArea* cong_editor_area_flow_holder_blocks_construct
                                                (CongEditorAreaFlowHolderBlocks *area_flow_holder_blocks,
                                                 CongEditorWidget3 *editor_widget);
    CongEditorArea* cong_editor_area_flow_holder_blocks_new
                                                (CongEditorWidget3 *editor_widget);
    CongEditorAreaFlowHolder* cong_editor_area_flow_holder_get_child_flow_holder_for_node
                                                (CongEditorAreaFlowHolderBlocks *area_flow_holder_blocks,
                                                 CongNodePtr doc_node);
    CongEditorAreaFlowHolder* cong_editor_area_flow_holder_get_previous_child_flow_holder
                                                (CongEditorAreaFlowHolderBlocks *area_flow_holder_blocks,
                                                 CongEditorAreaFlowHolder *child_flow_holder);

## Description

## Details

### CONG_EDITOR_AREA_FLOW_HOLDER_BLOCKS()

    #define CONG_EDITOR_AREA_FLOW_HOLDER_BLOCKS(obj)         G_TYPE_CHECK_INSTANCE_CAST (obj, CONG_EDITOR_AREA_FLOW_HOLDER_BLOCKS_TYPE, CongEditorAreaFlowHolderBlocks)

`obj` : |

### CONG_EDITOR_AREA_FLOW_HOLDER_BLOCKS_CLASS()

    #define CONG_EDITOR_AREA_FLOW_HOLDER_BLOCKS_CLASS(klass) G_TYPE_CHECK_CLASS_CAST (klass, CONG_EDITOR_AREA_FLOW_HOLDER_BLOCKS_TYPE, CongEditorAreaFlowHolderBlocksClass)

`klass` : |

### IS_CONG_EDITOR_AREA_FLOW_HOLDER_BLOCKS()

    #define IS_CONG_EDITOR_AREA_FLOW_HOLDER_BLOCKS(obj)      G_TYPE_CHECK_INSTANCE_TYPE (obj, CONG_EDITOR_AREA_FLOW_HOLDER_BLOCKS_TYPE)

`obj` : |

### cong_editor_area_flow_holder_blocks_get_type ()

    GType       cong_editor_area_flow_holder_blocks_get_type
                                                (void);

Returns : |

### cong_editor_area_flow_holder_blocks_construct ()

    CongEditorArea* cong_editor_area_flow_holder_blocks_construct
                                                (CongEditorAreaFlowHolderBlocks *area_flow_holder_blocks,
                                                 CongEditorWidget3 *editor_widget);

TODO: Write me

`area_flow_holder_blocks` : |
`editor_widget` : |
Returns : |

### cong_editor_area_flow_holder_blocks_new ()

    CongEditorArea* cong_editor_area_flow_holder_blocks_new
                                                (CongEditorWidget3 *editor_widget);

TODO: Write me

`editor_widget` : |
Returns : |

### cong_editor_area_flow_holder_get_child_flow_holder_for_node ()

    CongEditorAreaFlowHolder* cong_editor_area_flow_holder_get_child_flow_holder_for_node
                                                (CongEditorAreaFlowHolderBlocks *area_flow_holder_blocks,
                                                 CongNodePtr doc_node);

TODO: Write me

`area_flow_holder_blocks` : |
`doc_node` : |
Returns : |

### cong_editor_area_flow_holder_get_previous_child_flow_holder ()

    CongEditorAreaFlowHolder* cong_editor_area_flow_holder_get_previous_child_flow_holder
                                                (CongEditorAreaFlowHolderBlocks *area_flow_holder_blocks,
                                                 CongEditorAreaFlowHolder *child_flow_holder);

`area_flow_holder_blocks` : |
`child_flow_holder` : |
Returns : |